#!/bin/bash
export NVM_DIR="$HOME/.nvm"
[ -s "$NVM_DIR/nvm.sh" ] && \. "$NVM_DIR/nvm.sh"  # This loads nvm
[ -s "$NVM_DIR/bash_completion" ] && \. "$NVM_DIR/bash_completion"  # This loads nvm bash_completion
cd /home/sagevaillancourt/git/hvacker
whereis npm
npm start | while read line; do
    echo "$line"
    if [[ "$line" == *"app http request failed getaddrinfo ENOTFOUND slack.com"* ]]; then
        systemctl restart hvacker
        exit 1
    fi
done
